#pragma once

#include <string>
#include <vector>

namespace dropshell {

class config {
    public:
        config();
        ~config();
        bool load_config();
        void save_config();

        bool is_config_set() const;

        const std::vector<std::string> & get_local_config_directories() const;
        bool add_local_config_directory(const std::string& path);

        const std::string & get_local_backup_path() const;

    private:
        std::vector<std::string> mLocalConfigPaths;
        std::string mLocalBackupPath;
};


config & gConfig();

} // namespace dropshell 